[DRBD-user] modprobe drbd fails on debian etch amd64

Eugen Leitl eugen at leitl.org
Tue Apr 29 11:37:03 CEST 2008


On Tue, Apr 29, 2008 at 11:16:29AM +0200, Florian Haas wrote:

> I think you've either got a typo in your message, or you are in fact _not_ 
> using the backports packages you seem to want to use.
> 
> What you need is one package named drbd8-utils, and another named 
> drbd8-module-source. From the latter you have to build a DRBD module to match 
> your kernel:
> 
> apt-get install module-assistant build-essential \
>                 linux-headers-2.6-vserver-amd64 \
>                 drbd8-utils drbd8-module-source
> m-a a-i drbd8

Thanks for your help.

I already did that, to no avail. Here's what happens when I force
a new recompile and installation:

vhost2:~# m-a a-i drbd8 

Updated infos about 1 packages
Getting source for kernel version: 2.6.22-4-vserver-amd64
Kernel headers available in /lib/modules/2.6.22-4-vserver-amd64/build
Creating symlink...
apt-get install build-essential 
Reading package lists... Done
Building dependency tree... Done
build-essential is already the newest version.
0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.

Done!
unpack 
Extracting the package tarball, /usr/src/drbd8.tar.bz2, please wait...
Target package file /usr/src/drbd8-2.6.22-4-vserver-amd64_8.0.11-1~bpo40+1+2.6.22-6~bpo40+2_amd64.deb already exists, not rebuilding!
(however, you could use the -f switch to ignore it)
dpkg -Ei /usr/src/drbd8-2.6.22-4-vserver-amd64_8.0.11-1~bpo40+1+2.6.22-6~bpo40+2_amd64.deb 
Version 8.0.11-1~bpo40+1+2.6.22-6~bpo40+2 of drbd8-2.6.22-4-vserver-amd64 already installed, skipping.
vhost2:~# m-a a-i -f drbd8 

Updated infos about 1 packages
Getting source for kernel version: 2.6.22-4-vserver-amd64
Kernel headers available in /lib/modules/2.6.22-4-vserver-amd64/build
apt-get install build-essential 
Reading package lists... Done
Building dependency tree... Done
build-essential is already the newest version.
0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.

Done!
download 
Reading package lists... Done
Building dependency tree... Done
0 upgraded, 0 newly installed, 1 reinstalled, 0 to remove and 0 not upgraded.
Need to get 0B/141kB of archives.
After unpacking 0B of additional disk space will be used.
(Reading database ... 60468 files and directories currently installed.)
Preparing to replace drbd8-source 2:8.0.11-1~bpo40+1 (using .../drbd8-source_2%3a8.0.11-1~bpo40+1_all.deb) ...
Unpacking replacement drbd8-source ...
Setting up drbd8-source (8.0.11-1~bpo40+1) ...

Updated infos about 1 packages
unpack 
Extracting the package tarball, /usr/src/drbd8.tar.bz2, please wait...
"/usr/share/modass/overrides/drbd8-source" build KVERS=2.6.22-4-vserver-amd64 KSRC=/lib/modules/2.6.22-4-vserver-amd64/build KDREV=2.6.22-6~bpo40+2 kdist_image
Done with /usr/src/drbd8-2.6.22-4-vserver-amd64_8.0.11-1~bpo40+1+2.6.22-6~bpo40+2_amd64.deb .
dpkg -i /usr/src/drbd8-2.6.22-4-vserver-amd64_8.0.11-1~bpo40+1+2.6.22-6~bpo40+2_amd64.deb 
(Reading database ... 60468 files and directories currently installed.)
Preparing to replace drbd8-2.6.22-4-vserver-amd64 2:8.0.11-1~bpo40+1+2.6.22-6~bpo40+2 (using .../drbd8-2.6.22-4-vserver-amd64_8.0.11-1~bpo40+1+2.6.22-6~bpo40+2_amd64.deb) ...
Unpacking replacement drbd8-2.6.22-4-vserver-amd64 ...
Setting up drbd8-2.6.22-4-vserver-amd64 (8.0.11-1~bpo40+1+2.6.22-6~bpo40+2) ...
vhost2:~# modprobe drbd
FATAL: Module drbd not found.

I seem to be missing something obvious, but I don't see what it could be.

-- 
Eugen* Leitl <a href="http://leitl.org">leitl</a> http://leitl.org
______________________________________________________________
ICBM: 48.07100, 11.36820 http://www.ativel.com http://postbiota.org
8B29F6BE: 099D 78BA 2FD3 B014 B08A  7779 75B0 2443 8B29 F6BE



More information about the drbd-user mailing list